package com.zzwtec.third.model.basedata.dto;

import com.zzwtec.third.model.DoorType;
import com.zzwtec.third.model.ObjType;

import java.util.Arrays;

public class DoorDTO {
    /**
     * ids
     */
    private String[] ids;
    /**
     * id
     */
    private String id;
    /**
     * 门名称
     */
    private String name;
    /**
     * 门类型
     */
    private DoorType doorType;
    /**
     * 对象id，楼栋id，小区id
     */
    private String objId;
    /**
     * 对象类型
     */
    private ObjType objType;
    /**
     * 编号
     */
    private Integer index;
    /**
     * 标识是否删除
     */
    private Boolean deletec;
    /**
     * 备注
     */
    private String remark;

    /**
     * 小区id
     */
    private String communityId;
    /**
     * 小区Name
     */
    private String communityName;
    /**
     * 楼栋id
     */
    private String buildId;
    /**
     * 楼栋Name
     */
    private String buildName;
    /**
     *
     * */
    private String[] objIds;
    /**
     * 标识是否可以远程开门
     * 0-false,不可以远程开门，1-true可以远程开门，默认1
     */
    private Boolean remote;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    public String toString() {
        return "DoorDTO{" +
                "ids=" + Arrays.toString(ids) +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", doorType=" + doorType +
                ", objId='" + objId + '\'' +
                ", objType=" + objType +
                ", index=" + index +
                ", deletec=" + deletec +
                ", remark='" + remark + '\'' +
                ", communityId='" + communityId + '\'' +
                ", communityName='" + communityName + '\'' +
                ", buildId='" + buildId + '\'' +
                ", buildName='" + buildName + '\'' +
                ", objIds=" + Arrays.toString(objIds) +
                ", remote=" + remote +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }

    public String[] getIds() {
        return ids;
    }

    public void setIds(String[] ids) {
        this.ids = ids;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DoorType getDoorType() {
        return doorType;
    }

    public void setDoorType(DoorType doorType) {
        this.doorType = doorType;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public ObjType getObjType() {
        return objType;
    }

    public void setObjType(ObjType objType) {
        this.objType = objType;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public Boolean getDeletec() {
        return deletec;
    }

    public void setDeletec(Boolean deletec) {
        this.deletec = deletec;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getCommunityName() {
        return communityName;
    }

    public void setCommunityName(String communityName) {
        this.communityName = communityName;
    }

    public String getBuildId() {
        return buildId;
    }

    public void setBuildId(String buildId) {
        this.buildId = buildId;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String[] getObjIds() {
        return objIds;
    }

    public void setObjIds(String[] objIds) {
        this.objIds = objIds;
    }

    public Boolean getRemote() {
        return remote;
    }

    public void setRemote(Boolean remote) {
        this.remote = remote;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
